export const weatherList = ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "sandstorm", "pet_rain", "huricane"]

export const weatherTypes = [
    {
        identifier: 'acid_rain',
        duration: {
            min: 10,
            max: 10
        },
        particles: [
            {
                name: "minty_ew:acid_rain",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true,
            dealsDamage: true,
            damage: 1,
            secondsPerDamage: 4
        },
        velocity: {
            pullsToCenter: true,
            pushAwayFromCenter: false,
            pullUpwards: false,
            pullDownwards: false
        },
        camera: {
            shake: true,
            shakeIntensity: 10,
            blind: false
        }
    },
    {
        identifier: 'fire_rain',
        duration: {
            min: 10,
            max: 10
        },
        particles: [
            {
                name: "minty_ew:fire_rain",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true,
            dealsDamage: true,
            damage: 1,
            secondsPerDamage: 2
        },
        velocity: {
            pullsToCenter: true,
            pushAwayFromCenter: false,
            pullUpwards: false,
            pullDownwards: false
        },
        camera: {
            shake: false,
            shakeIntensity: 2,
            blind: false
        }
    },
    {
        identifier: 'sandstorm',
        duration: {
            min: 60,
            max: 60
        },
        particles: [
            {
                name: "minty_ew:sandstorm_1",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:sandstorm_2",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true,
            dealsDamage: true,
            damage: 2,
            secondsPerDamage: 30
        },
        velocity: {
            pullsToCenter: true,
            pushAwayFromCenter: false,
            pullUpwards: false,
            pullDownwards: false
        },
        camera: {
            shake: false,
            shakeIntensity: 2,
            blind: false
        }
    },
    {
        identifier: 'blizzard',
        duration: {
            min: 60,
            max: 60
        },
        particles: [
            {
                name: "minty_ew:blizzard_1",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:blizzard_2",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true,
            dealsDamage: true,
            damage: 2,
            secondsPerDamage: 30
        },
        velocity: {
            pullsToCenter: true,
            pushAwayFromCenter: false,
            pullUpwards: false,
            pullDownwards: false
        },
        camera: {
            shake: false,
            shakeIntensity: 2
        }
    },
    {
        identifier: 'earthquake',
        duration: {
            min: 10,
            max: 10
        },
        particles: [],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: false
        },
        velocity: {
            pullsToCenter: true,
            pushAwayFromCenter: false,
            pullUpwards: false,
            pullDownwards: false
        },
        camera: {
            shake: true,
            shakeIntensity: 2
        }
    },
    {
        identifier: 'tornado',
        duration: {
            min: 60,
            max: 60
        },
        particles: [
            {
                name: "minty_ew:storm_1",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:storm_2",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: false
        },
        customMob: true,
        customMobType: 'tornado',
        velocity: {
            pullsToCenter: true,
            pullUpwards: true,
            spreadEntities: true,
            pullRadius: 30
        },
        camera: {
            shake: true,
            shakeIntensity: 0.4
        }
    },
    {
        identifier: 'tnt_rain',
        duration: {
            min: 20,
            max: 25
        },
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true
        },
        entityRain: {
            identifier: 'minecraft:tnt',
            enabled: true,
            radius: 20,
            entityAmount: 5,
            offsetY: 8,
            timer: 3
        },
        camera: {
            shake: false,
            shakeIntensity: 0.4
        }
    },
    {
        identifier: 'pet_rain',
        duration: {
            min: 20,
            max: 25
        },
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true
        },
        entityRain: {
            enabled: true,
            identifier: 'pet_rain',
            radius: 10,
            entityAmount: 5,
            offsetY: 5,
            timer: 5
        },
        camera: {
            shake: false,
            shakeIntensity: 0.4
        }
    },
    {
        identifier: 'cyclone',
        duration: {
            min: 20,
            max: 25
        },
        particles: [
            {
                name: "minty_ew:huricane_1",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:huricane_2",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:huricane_3",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: false
        },
        camera: {
            shake: false,
            shakeIntensity: 0.4
        },
        normalRain: true
    },
    {
        identifier: 'huricane',
        duration: {
            min: 20,
            max: 25
        },
        particles: [
            {
                name: "minty_ew:huricane_1",
                offset: {
                    x: 0,
                    y: 64,
                    z: 0
                }
            },
            {
                name: "minty_ew:huricane_2",
                offset: {
                    x: 0,
                    y: 64,
                    z: 0
                }
            },
            {
                name: "minty_ew:huricane_3",
                offset: {
                    x: 0,
                    y: 64,
                    z: 0
                }
            },
            {
                name: "minty_ew:storm_1",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:storm_2",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        customMob: true,
        customMobType: 'tornado',
        velocity: {
            pullsToCenter: true,
            pullUpwards: true,
            spreadEntities: true,
            pullRadius: 30
        },
        camera: {
            shake: true,
            shakeIntensity: 0.4
        }
    },
    {
        identifier: 'thunderstorm',
        duration: {
            min: 20,
            max: 25
        },
        particles: [
            {
                name: "minty_ew:thunderstorm_1",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:thunderstorm_2",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            },
            {
                name: "minty_ew:thunderstorm_3",
                offset: {
                    x: 0,
                    y: 0,
                    z: 0
                }
            }
        ],
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: false
        },
        camera: {
            shake: false,
            shakeIntensity: 0.4
        },
        normalRain: true
    },
    {
        identifier: 'meteor',
        duration: {
            min: 20,
            max: 25
        },
        sounds: [
            {
                name: "wind",
                volume: 1,
                pitch: 1
            }
        ],
        daylight: {
            detectDaylight: true
        },
        entityRain: {
            enabled: true,
            identifier: 'minty_ew:meteor_shower',
            radius: 20,
            entityAmount: 2,
            offsetY: 8,
            timer: 2
        },
        camera: {
            shake: true,
            shakeIntensity: 0.4
        }
    }
]

export const biomeWeathers = [
    {
        identifier: "plains", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "pet_rain", "huricane"]
    },
    {
        identifier: "desert", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "sandstorm", "pet_rain", "huricane"]
    },
    {
        identifier: "mountains", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "pet_rain", "huricane"]
    },
    {
        identifier: "forest", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "pet_rain", "huricane"]
    },
    {
        identifier: "ocean", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "pet_rain", "huricane"]
    },
    {
        identifier: "river", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "pet_rain", "huricane"]
    },
    {
        identifier: "snowy", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "blizzard", "pet_rain", "huricane"]
    },
    {
        identifier: "nether", events: ["earthquake", "fire_rain", "pet_rain"]
    },
    {
        identifier: "end", events: ["earthquake", "pet_rain"]
    },
    {
        identifier: "rare", events: ["tornado", "meteor", "earthquake", "thunderstorm", "acid_rain", "cyclone", "tnt_rain", "fire_rain", "pet_rain", "huricane"]
    }];
